Package org.eclipse.jface.action

# Interface ExternalActionManager.IBindingManagerCallback

All Superinterfaces:
  `ExternalActionManager.ICallback`

All Known Implementing Classes:
  `ExternalActionManager.CommandCallback`

Enclosing class:
  `ExternalActionManager`

public static interface ExternalActionManager.IBindingManagerCallback extends ExternalActionManager.ICallback

A callback which communicates with the applications binding manager. This interface provides more information from the binding manager, which allows greater integration. Implementing this interface is preferred over `ExternalActionManager.ICallback`.

Clients may implement this interface, but must not extend.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`TriggerSequence[]`
`getActiveBindingsFor(String commandId)`
Returns the active bindings for a particular command identifier.

### Methods inherited from interface org.eclipse.jface.action.ExternalActionManager.ICallback

`addPropertyChangeListener, getAccelerator, getAcceleratorText, isAcceleratorInUse, isActive, removePropertyChangeListener`

## Method Details

### getActiveBindingsFor

TriggerSequence[] getActiveBindingsFor(String commandId)

Returns the active bindings for a particular command identifier.

Parameters:
  `commandId` - The identifier of the command whose bindings are requested. This argument may be `null`. It is assumed that the command has no parameters.
Returns:
  The array of active triggers (`TriggerSequence`) for a particular command identifier. This value is guaranteed not to be `null`, but it may be empty.